#!/bin/bash

function set-theme {
	echo "# Filename:      auto-jwm-menu.sh" > /usr/local/bin/auto-jwm-menu.sh
	echo "# Purpose:       automate jwm menu in conjunction with jwm-xdg-menu" >> /usr/local/bin/auto-jwm-menu.sh
    echo "# Authors:       anticapitalista for antiX" >> /usr/local/bin/auto-jwm-menu.sh
    echo "# Latest change: 26 December 2010" >> /usr/local/bin/auto-jwm-menu.sh
	echo "#" >> /usr/local/bin/auto-jwm-menu.sh
	echo "################################################################################" >> /usr/local/bin/auto-jwm-menu.sh
	echo "" >> /usr/local/bin/auto-jwm-menu.sh
	echo "#!/bin/sh" >> /usr/local/bin/auto-jwm-menu.sh
	echo "jwm-xdg-menu --terminal 'roxterm -e %s' --default-entry-icon /usr/share/icons/$ANS/32x32/apps/$DEFAULTANSCHECK1 --with-theme-paths --theme $ANS --entire-menu > ~/.jwm/menu-applications " >> /usr/local/bin/auto-jwm-menu.sh

}
	
while :
do
echo "What would you like for a default icon theme? Please choose from below.";
ls /usr/share/icons;
read ANS
ANSCHECK1=`ls /usr/share/icons | grep -o "$ANS"|head -1`;
ANSCHECK2=`ls /usr/share/icons | grep "$ANS"| head -1`;
if [ "$ANSCHECK1" = "$ANSCHECK2" ]; then
 while :
 do
 echo "What would you like for a default entry icon? Please choose from below.";
 ls /usr/share/icons/$ANS/32x32/apps;
 read DEFAULTANS
 DEFAULTANSCHECK1=`ls /usr/share/icons/$ANS/32x32/apps | grep -o "$DEFAULTANS"|head -1`;
 if [ "$DEFAULTANSCHECK1" = "" ]; then
 echo "Not a useable theme";
 else
 set-theme;
 exit
 fi
 done
exit
else
echo "Not a useable theme";
fi
done
